# sGcElem Struct Reference

`#include <m_token.h>`

## Data Fields

struct sGcElem * | chain
size_t | length
char | dta [1]

## Detailed Description

Garbage collector elements. Tracks allocated memory and points to the next element from the same context.

See also:
  libmangle_gc_context_t

## Field Documentation

struct sGcElem* sGcElem::chain `[read]`

Next element in chain.

char sGcElem::dta[1]

Starting adress marker of requested memory.

size_t sGcElem::length

Size of allocated memory (excluding sGcElem and sGcCtx).

The documentation for this struct was generated from the following file:

- src/m_token.h